package xiaoqu.home.open.publicBean;

import java.io.Serializable;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

@ApiModel("基础输出包")
public class BaseOutput<T> implements Serializable {
	/**
	 * 
	 */
	private static final long serialVersionUID = 1L;
	@ApiModelProperty("返回编码，0表示执行成功")
	private Integer code;
	@ApiModelProperty("数据")
	private T data;

	@ApiModelProperty("错误消息")
	private String err;

	public Integer getCode() {
		return code;
	}

	public T getData() {
		return data;
	}

	public void setData(T data) {
		this.data = data;
	}

	public String getErr() {
		return err;
	}

	public void setErr(String err) {
		this.err = err;
	}

	public void setCode(Integer code) {
		this.code = code;
	}

}
